Next Previous Contents

## 3.118 peekbsys

> Function

>   Read one byte from a location in the system bank.

> Header

>   `cbm610.h`, `cbm510.h`

> Declaration

>   `unsigned char __fastcall__ peekbsys (unsigned addr);`

> Description

>   `peekbsys` reads one byte from the given address in the system bank (bank 15) of the CBM PET-II machines and returns it.

> Limits

>   - The function is only available as fastcall function, so it may only be used in presence of a prototype.
>   - This function may be a macro depending on the compiler options. The actual function is accessible by #undef'ing the macro.
> Availability

>   cc65

> See also

>   PEEK, PEEKW, peekwsys, pokebsys, pokewsys

> Example

>   None.

Next Previous Contents